> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/purchase.md).

# Purchase

When purchase happens, page opens, fire the following event

Copy

```
MagicPixel.recordEvent('mp_purchase', {
    currency: 'INR', // can be hard coded to INR
    cart_id: '<generated cart id for kartmax>',
    transaction_id: '<ketch order id KETCH00XXXX>',
    value: 1233.33, // total value of the items
    coupon: '<coupon code if any>', // leave as undefined if no coupon is applicable
    shipping: 123.33, // shipping amount as flat
    tax: 123.33, // tax amount as float
    items: [{\
        item_id: '<item id>',\
        item_name: '<product name>',\
        item_sku: '<style id of the item>',\
        price: 1.23, // float price\
        quantity: 1, // integer quantity\
        item_category: '<item category>',\
        index: 1, // since this is view item, hard coded to 1\
        options: {\
             // optional - options can be used to provide any additional product attributes\
        }\
    }, {\
        item_id: '<item id>',\
        item_name: '<product name>',\
        item_sku: '<style id of the item>',\
        price: 1.23, // float price\
        quantity: 1, // integer quantity\
        item_category: '<item category>',\
        index: 2, // since this is view item, hard coded to 1\
        options: {\
             // optional - options can be used to provide any additional product attributes\
        }\
    }]
});
```

[PreviousAdd Shipping Info](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/add-shipping-info.md) [NextQuick Buy](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/quick-buy.md)

Last updated 1 year ago


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/purchase.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
